## org.codehaus.groovy.classgen
Class RuntimeIncompleteClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.syntax.RuntimeParserException
                          org.codehaus.groovy.classgen.RuntimeIncompleteClassException

All Implemented Interfaces:
  Serializable

    public class RuntimeIncompleteClassException

extends RuntimeParserException

RuntimeIncompleteClassException

See Also:
  Serialized Form

Constructor Summary
`RuntimeIncompleteClassException(List classnames, ASTNode node)`

Method Summary

Methods inherited from class org.codehaus.groovy.syntax.RuntimeParserException
`throwParserException`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeIncompleteClassException

    public RuntimeIncompleteClassException(List classnames,
                                           ASTNode node)

Parameters:
  `classnames` - names of classes
  `node` - the node containing the error

Copyright © 2003-2008 The Codehaus. All rights reserved.